#!/bin/sh
#
# sync etc/dblist.cfg with the portal
#

. #ENVPT3#/bin/protopenv

TMPDIR=${TMPDIR-/tmp}
LOGDIR=${LOGDIR-/tmp}

cd ${PROTOP}

if [ ! -d ${TMPDIR} ]
then
        mkdir ${TMPDIR}
fi

if [ ! -d ${LOGDIR} ]
then
	mkdir ${LOGDIR}
fi

errmsg()
{
	echo ""
	echo "${1}"
	echo ""
}

${DLC}/bin/_progres -b -p util/syncdblist.p ${PFLIST} -T ${TMPDIR} >> $LOGDIR/syncdblist.log 2>&1
